/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Game
 * Description: -
 */


/*
 * engine name
 */
#define ENGINE_NAME	"Warp Rogue"

/*
 * engine version
 */
#define ENGINE_VERSION	"0.7.7b"

/*
 * engine website
 */
#define ENGINE_WEBSITE	"http://todoom.sourceforge.net"



/*
 * game difficulty type
 */
typedef enum {
	
	DIFFICULTY_NIL = -1,
	
	DIFFICULTY_NORMAL,
	DIFFICULTY_EASY,
	
	DIFFICULTY_OUT_OF_BOUNDS

} GAME_DIFFICULTY;



void		game_run(void);

GAME_DIFFICULTY	game_difficulty(void);
void		game_difficulty_set(GAME_DIFFICULTY);

void		game_controls_screen(void);


