/*
 *
 * platform specific functions
 *
 */



/*
 * file handling
 */
char *		get_file_path(char *, PROGRAM_DIRECTORY, const char *);

LIST *		data_files(PROGRAM_DIRECTORY);



/*
 * IO
 */
 void		io_init(void);
void		io_clean_up(void);

void		clear_screen(void);
void		update_screen(void);

void		place_cursor_at(SCREEN_COORD, SCREEN_COORD);

SCREEN_COORD	cursor_y(void);
SCREEN_COORD	cursor_x(void);

void		render_cursor(COLOUR);

void		render_char(COLOUR, SYMBOL);

void		render_char_at(COLOUR, SCREEN_COORD, SCREEN_COORD,
			SYMBOL
		);

KEY_CODE	lowlevel_get_key(void);

void		clear_text_window(SCREEN_COORD, SCREEN_COORD,
			SCREEN_COORD, SCREEN_COORD
		);

void		render_background(void);



/*
 * timing
 */
void		sec_sleep(int);


