/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Quest
 * Description:
 */

/*
 * limits
 */
#define QUEST_NAME_SIZE		32
#define QUEST_STATUS_SIZE	16

 
 /*
  * quest type
  */
 typedef struct {

	char	name[QUEST_NAME_SIZE];
	
	char	status[QUEST_STATUS_SIZE];	
	
	bool	given;

} QUEST;


void		quest_init(void);
void		quest_clean_up(void);

LIST *		quest_list(void);

QUEST *		quest_give(const char *);
bool		quest_given(const char *);

void		quest_set_status(const char *, const char *);
const char *	quest_status(const char *);


