/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Script
 * Description: -
 */

/* 
 * script constants
 */
#define SCRIPT_SELF_PTR			"SELF_PTR"
#define SCRIPT_ACTIVE_CHARACTER_PTR	"ACTIVE_CHARACTER_PTR"
#define SCRIPT_TRUE			"Yes"
#define SCRIPT_FALSE			"No"


void		script_init(void);
void		script_clean_up(void);

bool		script_load(PROGRAM_DIRECTORY, const char *);
void		script_execute(void);

void		script_set_data(const char *, const char *);
void		script_set_data_numeric(const char *, int);



