/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: DataFile
 * Description: -
 */



#define MAX_PROGRAM_DIRECTORIES		15




void		set_data_path(PROGRAM_DIRECTORY, const char *);
const char *	data_path(void);

void		load_options(void);

void		load_keybindings(void);

void		load_scenario_files(void);

char *		data_file_character_flag_description(char *,
			CHARACTER_FLAG
		);

char *		data_file_object_attribute_description(char *,
			OBJECT_ATTRIBUTE
		);

char *		data_file_terrain_attribute_description(char *, 
			TERRAIN_ATTRIBUTE
		);
		
char *		data_file_psy_power_description(char *, 
			PSY_POWER
		);

char *		data_file_perk_description(char *, PERK);





