/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: WorldGeneration
 * Description: -
 */

/*
 * Area Generator 'dungeon'
 */


void		dungeon_generate(void);
void		dungeon_reset(void);

void		dungeon_set_wall(const char *);
void		dungeon_set_floor(const char *);
void		dungeon_set_connections(const char *, const char *);
void		dungeon_set_obstacles(const char *, const char *);
void		dungeon_set_pools(const char *);
void		dungeon_set_gate_level(WORLD_COORD);
void		dungeon_set_environment(const char *, const char *);







