/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Ui
 * Description: -
 */

/*
 * Input
 */

#define abort_macro()			key_stack_clear()

#define macro_is_being_executed()	(!key_stack_is_empty())



KEY_CODE	key_stack_pop(void);
void		key_stack_push(KEY_CODE);
void		key_stack_clear(void);
bool		key_stack_is_empty(void);

KEY_CODE 	limited_get_key(const char *);

KEY_CODE	get_key(void);

char *		get_text_dialogue_execute(GET_TEXT_DIALOGUE *, SCREEN_COORD, SCREEN_COORD);

void		confirmation_dialogue_input(CONFIRMATION_DIALOGUE *);

void		macro_input(MACRO_INDEX);

