/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Ui
 * Description: -
 */

/*
 * Misc. stuff
 */


void		render_game_title_screen(const char *);

COMMAND		game_title_screen_menu(MENU *);

void		new_game_dialogue(CONFIRMATION_DIALOGUE *);

void		render_game_choose_difficulty_screen(void);
COMMAND		game_choose_difficulty_screen_menu(MENU *);

void		render_world_generation_screen(bool);

void		render_shop_screen(const CHARACTER *);
COMMAND		shop_screen_menu(MENU *);

void		render_dialogue_screen(DIALOGUE_STATE *);
COMMAND		dialogue_screen_menu(MENU *);

void		render_certificate_screen(void);


